GROUPADD(8)

NAMN
groupadd - skapa en ny grupp

SYNOPSIS

groupadd [-g GID [-o]] [-f] [-K NYCKEL=VÄRDE] grupp

BESKRIVNING

The groupadd command creates a new group account using the values specified on the command line and the default values from the system. The new group will be entered into the system files as needed.

FLAGGOR

Flaggorna som gäller för kommandot groupadd är:

-f  This option causes to just exit with success status if the specified group already exists. With -g, if specified GID already exists, other (unique) GID is chosen (i.e. -g is turned off).

-g GID
    The numerical value of the group's ID. This value must be unique, unless the -o option is used. The value must be non-negative. The default is to use the smallest ID value greater than 999 and greater than every other group. Values between 0 and 999 are typically reserved for system accounts.

-h, --help
    Visa hjälpmeddelande och avsluta.

-K NYCKEL=VÄRDE
    Åsidosätter standardvärden i /etc/login.defs (GID_MIN, GID_MAX och andra). Flera flaggor av -K kan anges.

    Exempel: -K GID_MIN=100 -K GID_MAX=499

    Notera: -K GID_MIN=10,GID_MAX=499 fungerar ännu inte.

-o  Denna flagga tillåter att en grupp med ett icke-unikt GID läggs till.

FILER

/etc/group
    Gruppkontoinformation.

/etc/gshadow
    Säker gruppkontoinformation.

/etc/login.defs
    Shadow password suite configuration.

TÄNK PÅ

Groupnames must begin with a lower case letter or an underscore, and only lower case letters, underscores, dashes, and dollar signs may follow. In regular expression terms: [a-z_][a-z0-9_-]*[$]

Groupnames may only be up to 16 characters long.

If the groupname already exists in an external group database such as NIS, groupadd will deny the group creation request.

Groupnames may only be up to 16 characters long.

AVSLUTNINGSVÄRDEN

Kommandot groupadd avslutas med följande värden:

0   lyckad

2   ogiltig kommandosyntax

3   ogiltigt argument till flagga

4   GID inte unikt (när -o inte används)

9   gruppnamn inte unikt

10  kan inte uppdatera gruppfilen

SE OCKSÅ

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).